@import "@/styles/variables";

.popup {
    position: absolute;
    background-color: $white;
    border-radius: 1px;
    padding: 1.5rem;
    top: -330%;
    z-index: 555;
    filter: drop-shadow(0 2px 6px rgb(0 0 0 / 20%));
    width: 100%;

    @include tablet {
        top: -340%;
        left: -200%;
        white-space: nowrap;
        min-width: max-content;
    }

    @include notebook {
        top: -260%;
        left: 0;
    }

    @include desktop {
        left: -100%;
    }
    &__wrapper {
        width: 100%;
    }

    &::before {
        content: " ";
        position: absolute;
        border: solid transparent;
        border-width: 0.5rem;
        border-color: rgba(255 255 255 / 100%) transparent transparent;
        top: 100%;
        left: 22%;
        height: 0;
        width: 0;
        pointer-events: none;

        @include tablet {
            left: 15%;
            left: 50%;
        }

        @include notebook {
            left: 2%;
        }

        @include desktop {
            left: 50%;
        }
    }

    &_wrapper {
        position: relative;
        display: inline-block;
        z-index: 550;
        width: 100%;
    }
}
